#include "CalendaristicData.h"

CalendaristicData::CalendaristicData():day(0), mounth(0), year(0){}

CalendaristicData::CalendaristicData(int d, int m, int y):day(d), mounth(m), year(y){}

CalendaristicData::CalendaristicData(const CalendaristicData &d):day(d.day), mounth(d.mounth), year(d.year){}

CalendaristicData::~CalendaristicData(){}

CalendaristicData& CalendaristicData::operator=(const CalendaristicData &d){
	if (this != &d){
		day = d.day;
		mounth = d.mounth;
		year = d.year;
	}
	return *this;
}
void CalendaristicData::setDay(int d){
	day = d;
}
void CalendaristicData::setMounth(int m){
	mounth = m;
}
void CalendaristicData::setYear(int y){
	year = y;
}
int CalendaristicData::getDay(){
	return day;
}
int CalendaristicData::getMounth(){
	return mounth;
}
int CalendaristicData::getYear(){
	return year;
}
ostream& operator<<(ostream &os, const CalendaristicData &d){
	os << d.day << "/" << d.mounth << "/" << d.year;
	return os;
}

istream& operator>>(istream &is, CalendaristicData &d){
		//data = "23/02/2010"
	is >> d.day;
	char c;
	is >> c;
	if (c != '/')
		is.setstate(ios::failbit);
	is >> d.mounth;
	is >> c;
	if (c != '/')
		is.setstate(ios::failbit);
	is >> d.year;
	return is;
}